<?php

  namespace FiloBlu\Storelocator\Model;

  class Rma extends \Magento\Rma\Model\Rma
  {

    public function saveRma($data)
    {
      // TODO: move errors adding to controller
      $errors = 0;
      $this->messageManager->getMessages(true);
      if ($this->getCustomerCustomEmail()) {
        $validateEmail = $this->_validateEmail($this->getCustomerCustomEmail());
        if (is_array($validateEmail)) {
          foreach ($validateEmail as $error) {
            $this->messageManager->addError($error);
          }
          $this->_session->setRmaFormData($data);
          $errors = 1;
        }
      }

      $itemModels = $this->_createItemsCollection($data);
      if (!$itemModels || $errors) {
        return false;
      }

      if(isset($data['rma_returntostore_store_id']) && $data['rma_returntostore_store_id'] > 0) {
        $this->setData('return_to_store_id', $data['rma_returntostore_store_id']);
        $this->setData('return_to_store_email', $data['rma_returntostore_email']);
        $this->setData('return_to_store_hash', (md5(time())));
      }

      $this->save();
      return $this;
    }

  }
